{ pkgs, ... }:
let
  inherit (pkgs.stdenv) isDarwin;
  username = builtins.getEnv "USER";
in
{
  home = {
    inherit username;
    homeDirectory = if isDarwin then "/Users/${username}" else "/home/${username}";
  };
}